In SqlEntityInfoBuilder, replace the usage of wb_entity_per_page with using the page and redirect tables
Closed, ResolvedPublic


SqlEntityInfoBuilder uses wb_entity_per_page to find the page ID and redirect target for a list of entity IDs. We can do the same based directly on the page and redirect tables. The required mapping from EntityId to page title and namespace is provided by EntityTitleLookup.

daniel created this task.Jul 20 2016, 9:43 AM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 20 2016, 9:43 AM
WMDE-leszek lowered the priority of this task from High to Normal.
WMDE-leszek moved this task from Proposed to Backlog on the Wikidata-Former-Sprint-Board board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 26 2017, 7:03 AM
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.

Since gerritbot is not going to add a comment:

I think jenkins won't be happy but let's wait and see.

Ladsgroup moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.

Change 350370 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop use of entity_per_page in SqlEntityInfoBuilder

WMDE-leszek closed this task as Resolved.Apr 28 2017, 1:54 PM
WMDE-leszek moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.